n = int(input())
h = map(int, input().split())
k = map(int, input().split())

class Segment:
    def __init__(self, element: int):
        self.w = 0
        self.elements = [element]

    def get_w(self):
        w = 0
        for i, height in enumerate(self.elements):
            if i == 0 or i == len(self.elements) - 1:
                continue
            lp = max(self.elements[0:i])
            rp = max(self.elements[i + 1::])
            if lp <= height or rp <= height:
                continue
            w += min(lp, rp) - height
        self.w = w
        return w

    def add(self, segment):
        self.elements += segment.elements
        print(self.get_w())

segments = []
for height in h:
    segments.append(Segment(height))

for kj in k:
    segments[kj - 1].add(segments.pop(kj))