#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

int simulate(int* tmp, int start, int end, int n) {
    int sum = 0;
    for (int i = start; i < end; i++) {
        sum += tmp[i];
    }
    vector<int> els;
    if(start > 0) {
        for (int i = 0; i < start; i++) {
            els.push_back(tmp[i]);
        }
    }
    if (end < n) {
        for (int i = end; i < n; i++) {
            els.push_back(tmp[i]);
        }
    }
    return sum - *min_element(els.begin(), els.end());
}

int main() {
    int n, k;
    cin >> n >> k;

    int *a{new int[n]};
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    
    vector<int> results;
    for (int i = 1; i < k; i++) {
        results.push_back(simulate(a, i, n - k + i + 1, n));
    }
    for (int i = 1; i < k; i++) {
        results.push_back(simulate(a, k - i - 1, n - i, n));
    }
    cout << *max_element(results.begin(), results.end());
}